Pricefx REST API Reference
Pricefx REST API
/Pricefx API Reference/- Update an Action Type
Add an Action Type
List Action Types
Delete an Action Item Type
Update an Action Type
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/AIT
- URL:https://companynode.pricefx.com/pricefx/companypartition/fetch/AIT
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/AIT \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "lastUpdateDate",
"operator": "greaterOrEqual",
"value": "2023-06-26T22:00:00.000Z"
}
]
}
}'Response
application/json
{ "response": { "node": "string", "startRow": 0, "data": [ … ], "endRow": 0, "totalRows": 0, "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/AIT
- URL:https://companynode.pricefx.com/pricefx/companypartition/update/AIT
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/AIT \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "29.AIT",
"userGroupViewDetails": "PricingManagers"
},
"oldValues": {
"version": 0,
"typedId": "29.AIT",
"uniqueName": "AITtest",
"label": "Action Type Test",
"configuration": {
"name": "Default Actions config",
"tabs": [
{
"icon": "file-info-alt",
"name": "details",
"type": "details",
"translationKey": "dynamicTab_details"
}
]
},
"createDate": "2023-06-28T08:22:30",
"createdBy": 2147490696,
"lastUpdateDate": "2023-06-28T08:22:30",
"lastUpdateBy": 2147490696,
"_key": "29.AIT",
"_level": 0
},
"operationType": "update",
"textMatchStyle": "exact"
}'Response
application/json
{ "response": { "node": "string", "data": [ … ], "status": 0 } }
Bodyapplication/json
The general delete request. Deletes the object specified by typedId in the request body.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/AIT
- URL:https://companynode.pricefx.com/pricefx/companypartition/delete/AIT
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/AIT \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "29.AIT"
}
}'Response
application/json
{ "response": { "node": "string", "data": [ … ], "status": 0 } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code